package gov.va.med.mpn.codedcontrol.model;

import javax.xml.bind.annotation.XmlRootElement;


/**
 * The Class Classification.
 * 
 * <p> 
 * <A HREF="http://www.hp.com"> Hewlett-Packard Enterprise Services</A> 
 * </p> 
 * 
 * @author <a href="mailto:pratap.chilukuri@hp.com">Pratap Chilukuri</a> 
 */
@XmlRootElement  
public class Classification {

	
    /** The id. */
    private int id;
    
    /** The classification name. */
    private String classificationName;
    
    
	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public int getId() {
		return id;
	}
	
	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * Gets the classification name.
	 *
	 * @return the classification name
	 */
	public String getClassificationName() {
		return classificationName;
	}
	
	/**
	 * Sets the category name.
	 *
	 * @param classificationName the new category name
	 */
	public void setClassificationName(String classificationName) {
		this.classificationName = classificationName;
	}
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
	  StringBuilder buffer = new StringBuilder();

      buffer.append(getClass().getName()).append(" [");
      buffer.append("id").append("='").append(getId()).append("' ");			
      buffer.append("classificationName").append("='").append(getClassificationName()).append("' ");			
      buffer.append("]");
      
      return buffer.toString();
     } 
    
}
